# class Gem::Ext::CmakeBuilder

### Public Class Methods

build(extension, dest_path, results, args=[], lib_dir=nil) click to toggle source

    # File lib/rubygems/ext/cmake_builder.rb, line 5
    def self.build(extension, dest_path, results, args=[], lib_dir=nil)
      unless File.exist?('Makefile')
        cmd = "cmake . -DCMAKE_INSTALL_PREFIX=#{dest_path}"
        cmd << " #{Gem::Command.build_args.join ' '}" unless Gem::Command.build_args.empty?

        run cmd, results
      end

      make dest_path, results

      results
    end